@import url(/css/flexible.css);

.app {
    position: relative;
}

#switch-lefticon {
    width: 1.76rem;
}

#switch-righticon {
    width: 3.06rem;
}

.header {
    background: url(/images/shop/adgamebottom.png) no-repeat;
    background-size: 100%;
    height: 2.28rem;
    border-bottom: .03rem solid rgb(70, 168, 193);
}

.btn-orders {
    position: absolute;
    top: .1867rem;
    right: .1867rem;
    width: 3.3333rem;
    height: 0.8667rem;
    background: url(/images/shop/orderbtn.png) no-repeat;
    cursor: pointer;
    background-size: 100%;
}

.idkhusus-icon {
    position: relative;
    top: 0.3rem;
    width: 1.7rem;
    height: auto;
}

.customer-layer {
    display: flex;
    align-items: center;
    margin-left: .58rem;
    z-index: 999;
}

.customer-icon {
    width: .5867rem;
    height: .6267rem;
}

.title-img {
    margin-top: 0.9rem;
    width: 1.9867rem;
    height: .6933rem;
}

.switch-bg {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 1.093rem;
}

.switch-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.goods-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    /* 定义两列布局 */
    /* gap: .16rem; */
    /* 设置列与列之间的间距 */
    max-height: 18rem;
    overflow: scroll;
    margin-top: .2rem;
    overflow-y: scroll;
    max-height: 17.5rem;
}


.goods-container .column {
    margin: 0 auto;
    height: 6.22rem;
}

.column-container {
    position: relative;
    width: 4.88rem;
    height: 6.16rem;
}

    .column-container .bg-layer {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
    }

.column-gold-stack {
    position: absolute;
    top: -0.34rem;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .column-gold-stack .gold-img {
        width: 4.72rem;
        height: 5.6667rem;
        margin-top: 0.6rem;
        scale: 0.95;
    }

.column-pr {
    position: absolute;
    bottom: 1rem;
    left: 0;
    width: 100%;
    height: 1.4rem;
    display: flex;
    align-items: center;
    align-self: center;
    justify-content: center;
}

.column-pr-num {
    font-size: .58rem;
    font-weight: 600;
    color: rgb(46, 117, 175);
    font-family: "AcuminVariableConcept";
}

.column-chip {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1.3rem;
    display: flex;
    align-items: center;
    align-self: center;
    justify-content: center;
}



.column-stok {
    position: absolute;
    top: 1.37rem;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    align-self: center;
    justify-content: center;
}

.column-stok-num {
    font-size: .35rem;
    font-weight: 700;
    color: #fffaf2;
}


.column-chip-num {
    font-size: .6rem;
    font-weight: 550;
    color: #5e77c0;
    font-family: "JINS Next";
}

.outlined-chip-text {
    text-shadow: -0.01rem -0.01rem 0 #5e77c0, 0.01rem -0.01rem 0 #5e77c0, -0.01rem 0.01em 0 #5e77c0, 0.01rem 0.01rem 0 #5e77c0;
}


.outlined-text {
    text-shadow: -0.03rem -0.03rem 0 #e17a29, 0.03rem -0.03rem 0 #e17a29, -0.03rem 0.03em 0 #e17a29, 0.03rem 0.03rem 0 #e17a29;
}



.outlined-stok-text {
    text-shadow: -0.02rem -0.02rem 0 rgb(86, 145, 179), 0.02rem -0.02rem 0 rgb(86, 145, 179), -0.02rem 0.02em 0 rgb(86, 145, 179), 0.02rem 0.02rem 0 rgb(86, 145, 179);
}

.column-description {
    font-family: 'AgendaURWTBol';
    color: white;
    font-size: .5733rem;
    line-height: .5733rem;
}

.description-outlined-text {
    text-shadow: -0.02rem -0.02rem 0 #1665be, 0.02rem -0.02rem 0 #1665be, -0.02rem 0.02rem 0 #1665be, 0.02rem 0.02rem 0 #1665be;
}

.column-number {
    /* font-family: 'AgendaURWTBol'; */
    font-weight: 900;
    color: #f8ed41;
}

.number-outlined-text {
    text-shadow: -0.01rem -0.01rem 0 #1f6d90, 0.01rem -0.01rem 0 #1f6d90, -0.01rem 0.01rem 0 #1f6d90, 0.01rem 0.01rem 0 #1f6d90;
}

.content-button {
    position: relative;
    width: 100%;
}

.content-button-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1.3333rem;
}

.content-button-img {
    width: 3.2667rem;
    height: 1.1733rem;
}

.content-button-id {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1.15rem;
}

.content-button-id-img {
    width: 1.7333rem;
    height: .5333rem;
    scale: 1.1;
}


.full-cover {
    padding-top:1.3rem!important;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('/images/shop/cover.png') no-repeat center center;
    background-size: cover;
/*    display: flex;*/
    flex-direction: column;
/*    justify-content: center;*/
/*    align-items: center;*/
    text-align: center;
    margin: 0;
    box-sizing: border-box;
}

.full-cover label {
    color: #fff;
    font-size: 0.526rem;
    font-family: 'AgendaURWTBol', sans-serif;
/*    text-shadow: 2px 2px 0 #4289bb, -2px 2px 0 #4289bb, 2px -2px 0 #4289bb, -2px -2px 0 #4289bb, 0 2px 0 #4289bb, 0 -2px 0 #4289bb, 2px 0 0 #4289bb, -2px 0 0 #4289bb;*/
}



.empty-cover {
    position: relative;
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: url('/images/shop/empty_mask.png') no-repeat center center;
    background-size: cover;
    padding: 20px;
    box-sizing: border-box;
    margin-top: 2.36rem;
    width: 9.06rem;
    height: 3.97rem;
}

.empty-cover label {
    color: #fff;
    font-size: 0.44rem;
}


/* change */

.column-btn-container {
    position: absolute;
    bottom: 0.24rem;
    left: 0;
    width: 100%;
    height: 1.12rem;
    display: flex;
    align-items: center;
    align-self: center;
    justify-content: center;
}

/* change */

.column-btn {
    position: relative;
    width: 3.6rem;
    height: 1.12rem;
}

/* change */

.column-btn-bg {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url('/images/shop/bell_btn.png') no-repeat center center;
    background-size: cover;
    justify-content: center;
    width: 3.6rem;
    height: 1.12rem;
}

/* change */

.column-btn-icon {
    position: absolute;
    top: 0;
    left: 0;
    width: 3.6rem;
    height: 1.12rem;
}